<div class="row">
 
  <nb-card [nbSpinner]="loading">
    <nb-card-header>User Profile <nb-alert status="primary" ><h3 style="color: black;">Please complete your profile to go to the purchasing page.</h3></nb-alert></nb-card-header>
    
    <nb-card-body>
 
     
        <label class="col-sm-3 label">Gender</label>
        <div class="col-sm-9">
          <div class="form-check">
            <input class="form-check-input" type="radio" name="gridRadios" id="gridRadios1" value="0" [(ngModel)]="user.gender">
            <label class="form-check-label" for="gridRadios1">
              Male
            </label>
          </div>
          <div class="form-check">
            <input class="form-check-input" type="radio" name="gridRadios" id="gridRadios2" value="1" [(ngModel)]="user.gender">
            <label class="form-check-label" for="gridRadios2">
              Female
            </label>
          </div>
        </div>
      
      <div class="full-name-inputs">
        <input type="text" nbInput fullWidth placeholder="First Name" [(ngModel)]="user.firstName">
        <input type="text" nbInput fullWidth placeholder="Last Name" [(ngModel)]="user.lastName">
      </div>
      <input type="text" nbInput fullWidth placeholder="Mobile" [(ngModel)]="user.phoneNumber">
      <input type="text" nbInput fullWidth  placeholder="Country" [(ngModel)]="user.country">
      <input type="text" nbInput fullWidth  placeholder="City" [(ngModel)]="user.city">
      <input type="text" nbInput fullWidth  placeholder="Postal Code" [(ngModel)]="user.postalCode">
  
      <textarea rows="5" nbInput fullWidth shape="round"  placeholder="Address" [(ngModel)]="user.address"></textarea>
      <button type="submit" nbButton status="primary" (click)="updateUser()" style="color: black;">Purchase</button>
  
    </nb-card-body>
  </nb-card>



</div>
